package com.hzya.frame.u9c.itemmaster.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.u9c.itemmaster.entity.VU9cItemmasterEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * (VU9cItemmaster)表服务接口
 *
 * @author xiaoguo
 * @since 2023-10-25 14:30:37
 */
public interface IVU9cItemmasterService extends IBaseService<VU9cItemmasterEntity, String>{
    /***
     * @Content:查询U9C料品档案
     * @Author 👻👻👻👻yqh👻👻👻👻
     * @Date  2023年10月25日14:40:29
     * @Param
     * @return
     **/
    String sendU9cItemmasterToCRM();



    /****
     * 查询U9C物料档案方法
     * @content:
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @date  2023-10-25 16:05
     * @param requestObj 查询条件
     * @return com.alibaba.fastjson.JSONObject
     **/
    JsonResultEntity queryU9cItemMaster(JSONObject requestObj);

    /**
     * 查询U9C物料档案， 同步睿本云专用接口
     * @param entity 参数
     * @return 物料档案
     */
    List<VU9cItemmasterEntity> query2Reabam(VU9cItemmasterEntity entity);
}
